Bug 1003882 - Bcfg2-server requires bcfg2-web
Bcfg2-server requires bcfg2-web
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bcfg2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 08:24 EDT by Viacheslav Viniarskyi
Modified: 2013-12-31 11:13 EST (History)
2 users (show)

See Also:
Fixed In Version: bcfg2-1.3.3-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-04 01:57:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viacheslav Viniarskyi 2013-09-03 08:24:53 EDT
bcfg2-admin
    Traceback (most recent call last):
      File "/usr/sbin/bcfg2-admin", line 10, in <module>
        import Bcfg2.Server.Admin
      File "/usr/lib/python2.6/site-packages/Bcfg2/Server/Admin/__init__.py", line 26, in <module>
        import Bcfg2.Server.Core
      File "/usr/lib/python2.6/site-packages/Bcfg2/Server/Core.py", line 14, in <module>
        import Bcfg2.settings
    ImportError: No module named settings


 bcfg2-server requires file /usr/lib/python2.7/site-packages/Bcfg2/settings.py wich is provided by bcfg2-web
Comment 1 Fabian Affolter 2013-11-22 16:28:11 EST
This was fixed with 1.3.2-1 in July.
Comment 2 Fabian Affolter 2013-11-23 10:34:25 EST
Still not working.
Comment 3 John Morris 2013-11-23 14:14:57 EST
Hi Fabian,

The package is all messed up in git, which is how I left it after the specfile reconciliation work started, entirely my fault.

The reconciled specfile has been accepted upstream and recently released in 1.3.3.  I'm going to update all branches with the new specfile.  I'll get that knocked out today.
Comment 4 Fedora Update System 2013-11-23 16:34:31 EST
bcfg2-1.3.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bcfg2-1.3.3-1.fc19
Comment 5 Fedora Update System 2013-11-23 16:34:41 EST
bcfg2-1.3.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bcfg2-1.3.3-1.el6
Comment 6 Fedora Update System 2013-11-23 16:34:49 EST
bcfg2-1.3.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bcfg2-1.3.3-1.fc18
Comment 7 Fedora Update System 2013-11-23 16:34:57 EST
bcfg2-1.3.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bcfg2-1.3.3-1.fc20
Comment 8 John Morris 2013-11-23 16:48:54 EST
When these packages are pushed to the testing repo, please try them out and leave karma.

Not sure why I was unable to push to the el5 branch.  Inquired on the fedora devel list, and will get back.
Comment 9 Fedora Update System 2013-11-24 13:37:07 EST
Package bcfg2-1.3.3-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing bcfg2-1.3.3-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12176/bcfg2-1.3.3-1.el6
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-11-24 13:41:55 EST
bcfg2-1.3.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bcfg2-1.3.3-2.fc18
Comment 11 Fedora Update System 2013-11-24 13:42:10 EST
bcfg2-1.3.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bcfg2-1.3.3-2.el6
Comment 12 Fedora Update System 2013-11-24 13:42:25 EST
bcfg2-1.3.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bcfg2-1.3.3-2.fc19
Comment 13 Fedora Update System 2013-11-24 13:42:40 EST
bcfg2-1.3.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bcfg2-1.3.3-2.fc20
Comment 14 Fedora Update System 2013-11-25 01:22:51 EST
bcfg2-1.3.3-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bcfg2-1.3.3-2.el5
Comment 15 Fedora Update System 2013-12-04 01:57:46 EST
bcfg2-1.3.3-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-12-04 01:58:02 EST
bcfg2-1.3.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-12-13 22:22:31 EST
bcfg2-1.3.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-12-15 14:53:11 EST
bcfg2-1.3.3-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bcfg2-1.3.3-3.el5
Comment 19 Fedora Update System 2013-12-15 14:53:24 EST
bcfg2-1.3.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bcfg2-1.3.3-3.fc19
Comment 20 Fedora Update System 2013-12-15 14:53:35 EST
bcfg2-1.3.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bcfg2-1.3.3-3.el6
Comment 21 Fedora Update System 2013-12-15 14:53:46 EST
bcfg2-1.3.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bcfg2-1.3.3-3.fc20
Comment 22 Fedora Update System 2013-12-15 14:53:57 EST
bcfg2-1.3.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bcfg2-1.3.3-3.fc18
Comment 23 Fedora Update System 2013-12-23 22:43:52 EST
bcfg2-1.3.3-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2013-12-28 18:36:29 EST
bcfg2-1.3.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2013-12-28 18:40:16 EST
bcfg2-1.3.3-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2013-12-31 11:13:37 EST
bcfg2-1.3.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2013-12-31 11:13:55 EST
bcfg2-1.3.3-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.